﻿using Android.App;
using Android.Widget;
using Android.OS;
using Android.Graphics;
using System.Collections.ObjectModel;
using System.Collections.Generic;
using Android.Views;

using Android.Text.Style;
using Android.Text;
using Java.Text;
using Java.Util;
using Com.Syncfusion.Gauges.SfCircularGauge;

namespace CircularAndroid
{
    [Activity(Label = "CircularAndroid", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
       
        Header header2;
        Header header1;
        Handler handler;
        Random random;
      
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            SfCircularGauge circularGauge = new SfCircularGauge(this);
            circularGauge.SetBackgroundColor(Android.Graphics.Color.ParseColor("#4F747D"));
            random = new Random();
            Header header = new Header();
            header.Text = "DIM";
            header.TextSize = 30;
            header.Position = new PointF((float)0.5, (float)0.3);
            header.TextColor = Android.Graphics.Color.White;

            header1 = new Header();
            header1.Text = "dim:79";
            header1.TextSize = 25;
            header1.Position = new PointF((float)0.5, (float)0.5);
            header1.TextColor = Android.Graphics.Color.White;

            header2 = new Header();
            header2.Text = "78d";
            header2.TextSize = 25;
            header2.Position = new PointF((float)0.9, (float)0.2);
            header2.TextColor = Android.Graphics.Color.White;

            

            circularGauge.Headers.Add(header);
            circularGauge.Headers.Add(header1);
            circularGauge.Headers.Add(header2);
            
            ObservableCollection<CircularScale> circularScales = new ObservableCollection<CircularScale>();
            CircularScale scale = new CircularScale();
            scale.StartValue = 0;
            scale.EndValue = 100;
            scale.Interval = 10;
            scale.StartAngle = 270;
            scale.SweepAngle = 360;
            scale.ScaleStartOffset = 0.85;
            scale.ScaleEndOffset = 0.8;
            scale.RimColor = Android.Graphics.Color.ParseColor("#042F3F");
            scale.ShowLabels = false;
            scale.ShowTicks = false;

            ObservableCollection<CircularRange> circularRanges = new ObservableCollection<CircularRange>();

            CircularRange range = new CircularRange();
            range.StartValue = 5;
            range.EndValue = 35;
            range.OuterStartOffset = 0.85;
            range.InnerStartOffset = 0.8;
            range.OuterEndOffset = 0.85;
            range.InnerEndOffset = 0.8;
            range.Color = Android.Graphics.Color.ParseColor("#94C93D");
            
            circularRanges.Add(range);
            scale.CircularRanges = circularRanges;

            ObservableCollection<CircularPointer> circularPointer = new ObservableCollection<CircularPointer>();

            MarkerPointer pointer = new MarkerPointer();
            pointer.Value = 4;
            pointer.ImageSource = "image1.png";
            pointer.MarkerShape = Com.Syncfusion.Gauges.SfCircularGauge.Enums.MarkerShape.Image;
            pointer.MarkerWidth = 60;
            pointer.MarkerHeight = 60;
            pointer.EnableDragging = true;
            circularPointer.Add(pointer);

            MarkerPointer pointer1 = new MarkerPointer();
            pointer1.Value = 30;
            pointer1.ImageSource = "image2.png";
            pointer1.MarkerShape = Com.Syncfusion.Gauges.SfCircularGauge.Enums.MarkerShape.Image;
            pointer1.MarkerWidth = 60;
            pointer1.MarkerHeight = 60;
            pointer.EnableDragging = true;
            circularPointer.Add(pointer1);

            MarkerPointer pointer2 = new MarkerPointer();
            pointer2.Value = 70;
            pointer2.ImageSource = "image3.png";
            pointer2.MarkerShape = Com.Syncfusion.Gauges.SfCircularGauge.Enums.MarkerShape.Image;
            pointer2.MarkerWidth = 60;
            pointer2.MarkerHeight = 60;
            pointer.EnableDragging = true;
            circularPointer.Add(pointer2);

            scale.CircularPointers = circularPointer;

            circularScales.Add(scale);
            circularGauge.CircularScales = circularScales;

           

            SetContentView (circularGauge);
        }

    }
}

